2022-12-16 01:41:31 UTC
856 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
SWIFT_BRANCHswift-5.7.1-release
SWIFT_PLATFORMamazonlinux2
SWIFT_SIGNING_KEYA62AE125BBBFBB96A6E042EC925CC1CCED3D1561
SWIFT_VERSIONswift-5.7.1-RELEASE
SWIFT_WEBROOThttps://download.swift.org
[#000] sha256:5b4a36b5b78f93a5f470cf722b313bb32cddb0f8e0fa0db348059b5c0881b04f - 6.94% (59.4 MB)
[#001] sha256:419334be1847b87fb236ce143faeb128d763e0ff44fec4799c16624c11034f50 - 32.45% (278 MB)
[#002] sha256:205d815f1084d850c3f5d4b682ef6dab9501e1c827853d7bd311e379362b7910 - 60.6% (519 MB)
[#003] sha256:fa2d05ddf1d05ae9310920ece2b618e2f2c74faf112dd02c9f275d6226cc35ec - 0.0% (226 Bytes)
/bin/sh -c #(nop) ADD file:a69ca7a5499bcd9d6e4317fdbd7256e93be44364bb746f5da10b4268c090bda0 in /
2022-12-16 01:19:50 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2022-12-16 01:40:03 UTC/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>
2022-12-16 01:40:03 UTC/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language
2022-12-16 01:40:39 UTC/bin/sh -c yum -y install binutils gcc git unzip glibc-static gzip libbsd libcurl-devel libedit libicu libsqlite libstdc++-static libuuid libxml2-devel tar tzdata zlib-devel
2022-12-16 01:40:41 UTC/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561
2022-12-16 01:40:41 UTC/bin/sh -c #(nop) ARG SWIFT_PLATFORM=amazonlinux2
2022-12-16 01:40:41 UTC/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.7.1-release
2022-12-16 01:40:42 UTC/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.7.1-RELEASE
2022-12-16 01:40:42 UTC/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org
2022-12-16 01:40:42 UTC/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=amazonlinux2 SWIFT_BRANCH=swift-5.7.1-release SWIFT_VERSION=swift-5.7.1-RELEASE SWIFT_WEBROOT=https://download.swift.org
2022-12-16 01:41:25 UTC/bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && echo $SWIFT_BIN_URL && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz
2022-12-16 01:41:31 UTC/bin/sh -c swift --version
2022-12-16 01:07:55 UTC
801 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
SWIFT_BRANCHswift-5.7.1-release
SWIFT_PLATFORMamazonlinux2
SWIFT_SIGNING_KEYA62AE125BBBFBB96A6E042EC925CC1CCED3D1561
SWIFT_VERSIONswift-5.7.1-RELEASE
SWIFT_WEBROOThttps://download.swift.org
[#000] sha256:6cbfee25f0741b3d3f4d2474d904a200cd8404a01aa17813bf3fc3d4ebb551a4 - 7.62% (61 MB)
[#001] sha256:5eab2bc1bb2e8f071a5e921d5b51f892c959bab31ea1a83b3f8a45c21b796848 - 29.94% (240 MB)
[#002] sha256:8b25c6aced996629a8c6394185562efa9afe2b2343763a79067e3d09b445bf37 - 62.44% (500 MB)
[#003] sha256:4af0b2db9bdfefcc934c265d6d55a10fcf2be61123089bed1a9e68e33c493d1e - 0.0% (228 Bytes)
/bin/sh -c #(nop) ADD file:26a6bf75c84c408d289e5569f13b1c65206966f875cdfc53ded0670cb85e35bf in /
2022-12-16 00:41:07 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2022-12-16 01:06:40 UTC/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>
2022-12-16 01:06:40 UTC/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language
2022-12-16 01:07:04 UTC/bin/sh -c yum -y install binutils gcc git unzip glibc-static gzip libbsd libcurl-devel libedit libicu libsqlite libstdc++-static libuuid libxml2-devel tar tzdata zlib-devel
2022-12-16 01:07:08 UTC/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561
2022-12-16 01:07:08 UTC/bin/sh -c #(nop) ARG SWIFT_PLATFORM=amazonlinux2
2022-12-16 01:07:08 UTC/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.7.1-release
2022-12-16 01:07:08 UTC/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.7.1-RELEASE
2022-12-16 01:07:08 UTC/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org
2022-12-16 01:07:08 UTC/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=amazonlinux2 SWIFT_BRANCH=swift-5.7.1-release SWIFT_VERSION=swift-5.7.1-RELEASE SWIFT_WEBROOT=https://download.swift.org
2022-12-16 01:07:44 UTC/bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && echo $SWIFT_BIN_URL && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz
2022-12-16 01:07:55 UTC/bin/sh -c swift --version
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.